# $Revision: 1.17 $, $Date: 2002/08/18 13:12:07 $
%define nam    d4x

Summary:	Downloader for X - ftp/http download manager for X window system
Summary(pl):	Program do pobierania plikw poprzez ftp/http dla X, czyli Downloader for X
Name:		nt
Version:	2.0
Release:	5
License:	Artistic
Group:		X11/Applications/Networking
Source0:	http://www.krasu.ru/soft/chuchelo/files/%{nam}-%{version}.tar.gz
Patch0:		%{name}-elif_fix.patch
URL:		http://www.krasu.ru/soft/chuchelo/
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	gtk+-devel
BuildRequires:	esound-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
This program lets you download files from internet/intranet using FTP
or HTTP protocol. Main features:
    - multithreaded design
    - convient user-friendly interface
    - automatic resuming after connection breaks
    - multiple simultaneous downloads
    - recursive FTP and HTTP downloading
    - ability to change links in HTML file for offline browsing
    - wildcards support for FTP recursing
    - filters support for HTTP recursing
    - proxy support (FTP and HTTP)
    - supports for traffic limitation
    - mass downloading function
    - FTP search
    - build-in scheduler
    - and many many other...

%description -l pl
Program pozwalajcy na pobieranie plikw z internetu/intranetu za
pomoc protokow FTP lub HTTP Moliwoci:
    - wielowtkowa budowa
    - przyjazny interfejs uytkownika
    - automatyczne wznawianie po przerwaniu poczenia
    - jednoczesne pobieranie kilku plikw
    - rekursywne pobieranie
    - moliwo zmiany odnonikw w plikach HTML do przegldania offline
    - moliwo stosowania znakw wieloznacznych dla FTP
    - moliwo stosowania filtrw dla HTTP
    - obsuga proxy
    - obsuga ograniczenia ruchu
    - funkcja zmasowanego pobierania
    - wyszukiwanie FTP
    - wbudowany harmonogram
    - i wiele innych...

%prep
%setup -q  -n %{nam}-%{version}
%patch0

%build
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_mandir}/man1,%{_applnkdir}/Network/Misc}

for i in po/*.gmo; do
    j=`basename $i .gmo`
    install -d $RPM_BUILD_ROOT%{_datadir}/locale/$j/LC_MESSAGES
    install $i $RPM_BUILD_ROOT%{_datadir}/locale/$j/LC_MESSAGES/nt.mo
done

install -d $RPM_BUILD_ROOT%{_datadir}/d4x
cp -a share/{sounds,themes} $RPM_BUILD_ROOT%{_datadir}/d4x

install main/nt $RPM_BUILD_ROOT%{_bindir}
install nt.desktop $RPM_BUILD_ROOT%{_applnkdir}/Network/Misc/nt.desktop
install {nt,nt-mini}.xpm {nt,nt-wm,nt-gray}.png $RPM_BUILD_ROOT%{_pixmapsdir}
install DOC/nt.1 $RPM_BUILD_ROOT%{_mandir}/man1

mv -f DOC/FAQ.gr DOC/FAQ.el

%find_lang %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog* TODO PLANS NEWS DOC/{FAQ{,.*},LICENSE,THANKS,TROUBLES,README}
%lang(de) %doc DOC/FAQ.de
%lang(es) %doc DOC/FAQ.es
%lang(fr) %doc DOC/FAQ.fr
%lang(el) %doc DOC/FAQ.el
%attr(755,root,root) %{_bindir}/nt
%{_mandir}/man1/*
%{_applnkdir}/Network/Misc/nt.desktop
%{_pixmapsdir}/*
%{_datadir}/d4x/sounds/*
%{_datadir}/d4x/themes/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: nt.spec,v $
Revision 1.17  2002/08/18 13:12:07  blues
- small fix in doc - STBR again

Revision 1.16  2002/08/18 12:13:51  kloczek
- release 5.

Revision 1.15  2002/08/18 11:21:02  blues
license fix

Revision 1.14  2002/07/18 08:45:06  mmazur
- fixed building on ppc
- use new %doc
- bumped release; STBR

Revision 1.13  2002/07/18 07:16:08  jojoro
- ac/am cosmetics

Revision 1.12  2002/06/15 09:53:35  ankry
- fixed %%lang
- release 3

Revision 1.11  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/03 21:16:43  filon
- small fix in docs
- release 2

Revision 1.9  2002/04/29 20:41:10  filon
- buildrequires esound-devel, autoconf, automake
- updated build, install, files
- release 1, STBR

Revision 1.8  2002/04/29 18:43:18  pioklo
- start update  to 2.0  , relase 0.1

Revision 1.7  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/19 11:54:56  wrobell
- ver 1.30 /bugfix release/
- fixed build requirements
- better summaries?

Revision 1.4  2001/10/11 12:19:01  qboosh
- replaced Req libstdc++-compat by BReq libstdc++-devel; added BReq: gtk+-devel

Revision 1.3  2001/10/08 14:18:34  aflinta
- added requires: libstdc++-compat

Revision 1.2  2001/10/01 09:07:35  qboosh
- adapterized, %%install and %%files rewritten

* Sat Apr 28 2001 Maxim Koshelev <mdem@chat.ru>
- added sounds instalation

* Mon Oct 30 2000 Maxim Koshelev <mdem@chat.ru>
- fixed building under RH-70 or Mandrake-7x
